// ******************************************************************************************
// Mod Name: TheMoneyMod
// Mod Id: TheMoneyMod_Schossle
// Mod Version: 1.1.0
// Mod File: code.js
// ******************************************************************************************
// Author: Schossle
// Last modified: 19.02.2015 15:43
// ******************************************************************************************
// Notes: This file is loaded from main.js
// ******************************************************************************************

// Create the main mod object (our package)
var TheMoneyMod = {};

(function(){

// ******************************************************************************************
// Platforms
// ******************************************************************************************

// Adding Cheat Console
// -----------------------------------------------------------
GDT.addPlatform({
	id:"faed77ec-96a0-4e4a-a100-beee6d7ebe9b",
	name:"Cheat Console",
	company:"Cheat Games",
	startAmount:9E7,
	unitsSold:9E7,
	licencePrize:0,
	published:"1/1/1",
	platformRetireDate:"9999/12/4",
	developmentCosts:0,
	genreWeightings:[  1, 1, 1, 1, 1, 1 ],
	audienceWeightings:[  1, 1, 1 ],
	techLevel:7,
	iconUri: TheMoneyMod_Schossle.modPath + "/images/platforms/Cheat Console.png",
	events:null
	});


// ******************************************************************************************
// Events
// ******************************************************************************************

GDT.addEvent({
	id: "d8708d93-9b5a-4c74-bedb-5c6108acb31f",
	date: "1/2/1",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Money Mod",
	text: "Hi! Thank you for downloading my mod! If you see this message you have done everything right. :) Now create a game for the cheat console and you become rich!",
	image: TheMoneyMod_Schossle.modPath + "",
	buttonText: ":D",
	weeksUntilFired: 0
	});} 
	});



})();
